org.apache.ignite.internal.processors.rest.request

## Class RestQueryRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.request.GridRestRequest
  - - org.apache.ignite.internal.processors.rest.request.RestQueryRequest

    public class RestQueryRequest
    extends GridRestRequest

Sql query request.

### Nested Class Summary

Nested Classes
`static class` `RestQueryRequest.QueryType` Supported query types.

### Constructor Summary

Constructors
Constructor and Description
`RestQueryRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object[]` `arguments()`
`void` `arguments(Object[] args)`
`String` `cacheName()`
`void` `cacheName(String cacheName)`
`String` `className()`
`void` `className(String className)`
`boolean` `distributedJoins()`
`void` `distributedJoins(boolean distributedJoins)`
`boolean` `keepBinary()`
`void` `keepBinary(boolean keepBinary)`
`Integer` `pageSize()`
`void` `pageSize(Integer pageSize)`
`Long` `queryId()`
`void` `queryId(Long id)`
`RestQueryRequest.QueryType` `queryType()`
`void` `queryType(RestQueryRequest.QueryType type)`
`String` `sqlQuery()`
`void` `sqlQuery(String sqlQry)`
`String` `typeName()`
`void` `typeName(String typeName)`

### Methods inherited from class org.apache.ignite.internal.processors.rest.request.GridRestRequest

`address, address, authorizationContext, authorizationContext, certificates, certificates, clientId, clientId, command, command, credentials, credentials, destinationId, destinationId, sessionToken, sessionToken, toString, userAttributes, userAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RestQueryRequest

    public RestQueryRequest()

### Method Detail

#### sqlQuery

    public void sqlQuery(String sqlQry)

Parameters:
  `sqlQry` - Sql query.

#### sqlQuery

    public String sqlQuery()

Returns:
  Sql query.

#### arguments

    public void arguments(Object[] args)

Parameters:
  `args` - Sql query arguments.

#### arguments

    public Object[] arguments()

Returns:
  Sql query arguments.

#### pageSize

    public void pageSize(Integer pageSize)

Parameters:
  `pageSize` - Page size.

#### pageSize

    public Integer pageSize()

Returns:
  Page size.

#### distributedJoins

    public void distributedJoins(boolean distributedJoins)

Parameters:
  `distributedJoins` - New distributed joins.

#### distributedJoins

    public boolean distributedJoins()

Returns:
  Distributed joins.

#### cacheName

    public void cacheName(String cacheName)

Parameters:
  `cacheName` - Cache name.

#### cacheName

    public String cacheName()

Returns:
  Cache name.

#### queryId

    public void queryId(Long id)

Parameters:
  `id` - Query id.

#### queryId

    public Long queryId()

Returns:
  Query id.

#### typeName

    public void typeName(String typeName)

Parameters:
  `typeName` - Query type name.

#### typeName

    public String typeName()

Returns:
  Query type name.

#### className

    public String className()

Returns:
  Predicate class name for scan query.

#### className

    public void className(String className)

Parameters:
  `className` - Predicate class name for scan query.

#### keepBinary

    public boolean keepBinary()

Returns:
  Keep binary flag.

#### keepBinary

    public void keepBinary(boolean keepBinary)

Parameters:
  `keepBinary` - Keep binary flag.

#### queryType

    public void queryType(RestQueryRequest.QueryType type)

Parameters:
  `type` - Query type.

#### queryType

    public RestQueryRequest.QueryType queryType()

Returns:
  Query type.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021